View Issue Details

IDProjectCategoryView StatusLast Update
11918Development [All Projects] Survey designpublic2018-02-16 15:53
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.x 
Target Version3.xFixed in Version3.x 
Summary11918: Removing jquery-ui (PUBLIC part)
Description

Maybe i made an error, but currently, jquryui is used in :

  • ranking question type (sortable)
  • map (OSM) : autocomplete
  • ?
Additional Information

Alternatives:

Ranking:

OSM map

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2016-11-19 11:31

developer   ~42074

map use autocomplete : can use select2 for this purpose.

DenisChenu

DenisChenu

2016-11-24 15:39

developer   ~42233

Last edited: 2016-11-24 16:30

View 2 revisions

Ranking : done. Need some fix on third_party (can quickly fix in source file, but need fix on third_party)

Take the most active of the 2, and with the "clear" licencing : https://github.com/johnny/jquery-sortable/blob/master/LICENSE seems to a MIT, https://github.com/RubaXa/Sortable/blob/master/README.md#mit-license is MIT.

I do some test with https://github.com/rkusa/touch-dnd too

DenisChenu

DenisChenu

2016-11-24 19:48

developer   ~42234

autcomplete ... really more hard ....

DenisChenu

DenisChenu

2016-11-25 17:26

developer   ~42240

\o/ youpi

Related Changesets

LimeSurvey: develop cd8244b7

2016-11-17 00:03:23

DenisChenu

Details Diff
Dev: Fix (partial : public part only) merging issue
Dev: 11918 : remove jqueryui from template config.xml, add it to do_ranking
Dev: create config/packages.php for core packages
Affected Issues
11918
mod - application/config/internal.php Diff File
add - application/config/packages.php Diff File
mod - application/config/third_party.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - templates/default/config.xml Diff File

LimeSurvey: develop 3998d61c

2016-11-17 00:56:06

DenisChenu

Details Diff
Dev: move fontawesome to depend of survey package (removed only from layout)
Dev: little issue with ranking
Dev: create core package question-ranking see 06753
Dev: remove uneeded jqueryui from default template
Affected Issues
06753, 11918
mod - application/config/packages.php Diff File
mod - application/config/third_party.php Diff File
add - application/core/packages/questions/ranking/ranking.css Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/models/TemplateConfiguration.php Diff File
mod - application/views/survey/questions/ranking/answer.php Diff File
rm - styles-public/ranking.css Diff File
mod - templates/default/config.xml Diff File

LimeSurvey: develop e8060d3b

2016-11-24 14:20:58

DenisChenu

Details Diff
Dev: 11918: Removing jquery-ui : ranking question type
Dev: use https://github.com/RubaXa/Sortable#jquery-compatibility and https://github.com/RubaXa/Sortable#bootstrap
Dev: todo : max answers
Dev: todo : diabled must be really disabled
Affected Issues
11918
mod - application/config/packages.php Diff File
mod - application/config/third_party.php Diff File
mod - application/core/packages/questions/ranking/ranking.css Diff File
mod - application/core/packages/questions/ranking/ranking.js Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/answer/ranking/answer.php Diff File
mod - application/views/survey/questions/answer/ranking/rows/answer_row.php Diff File
add - third_party/rubaxa-sortable/README.md Diff File
add - third_party/rubaxa-sortable/jquery.fn.sortable.js Diff File
add - third_party/rubaxa-sortable/jquery.fn.sortable.min.js Diff File

LimeSurvey: develop 36f3878d

2016-11-24 15:24:32

DenisChenu

Details Diff
Dev: 11918: Removing jquery-ui ranking : fix for relevance Affected Issues
11918
mod - application/config/third_party.php Diff File
mod - application/core/packages/questions/ranking/ranking.js Diff File
mod - application/views/survey/questions/answer/ranking/answer.php Diff File
mod - third_party/rubaxa-sortable/jquery.fn.sortable.js Diff File

LimeSurvey: develop 75e85d34

2016-11-25 16:32:31

DenisChenu

Details Diff
Dev: 11918: Removing jquery-ui : map
Dev: tested select2 : css is totally broken with boostrap (even with bs theme)
Dev: tested leaflet-geoname : can interesting, bound system not available directly
Dev: - but can (maybe) add it 2 times
Dev: but look tatally different than before system
Affected Issues
11918
mod - application/config/third_party.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/answer/shortfreetext/location_mapservice/item_100.php Diff File
mod - scripts/map.js Diff File
mod - styles-public/map.css Diff File
add - third_party/devbridge-autocomplete/.gitignore Diff File
add - third_party/devbridge-autocomplete/bower.json Diff File
add - third_party/devbridge-autocomplete/content/styles.css Diff File
add - third_party/devbridge-autocomplete/devbridge-autocomplete.jquery.json Diff File
add - third_party/devbridge-autocomplete/dist/jquery.autocomplete.js Diff File
add - third_party/devbridge-autocomplete/dist/jquery.autocomplete.min.js Diff File
add - third_party/devbridge-autocomplete/dist/license.txt Diff File
add - third_party/devbridge-autocomplete/gruntfile.js Diff File
add - third_party/devbridge-autocomplete/index.htm Diff File
add - third_party/devbridge-autocomplete/license.txt Diff File
add - third_party/devbridge-autocomplete/package.json Diff File
add - third_party/devbridge-autocomplete/readme.md Diff File
add - third_party/devbridge-autocomplete/scripts/countries.js Diff File
add - third_party/devbridge-autocomplete/scripts/demo.js Diff File
add - third_party/devbridge-autocomplete/scripts/jquery-1.8.2.min.js Diff File
add - third_party/devbridge-autocomplete/scripts/jquery-2.1.1.js Diff File
add - third_party/devbridge-autocomplete/scripts/jquery.mockjax.js Diff File
add - third_party/devbridge-autocomplete/spec/autocompleteBehavior.js Diff File
add - third_party/devbridge-autocomplete/spec/lib/jasmine-1.3.1/MIT.LICENSE Diff File
add - third_party/devbridge-autocomplete/spec/lib/jasmine-1.3.1/jasmine-html.js Diff File
add - third_party/devbridge-autocomplete/spec/lib/jasmine-1.3.1/jasmine.css Diff File
add - third_party/devbridge-autocomplete/spec/lib/jasmine-1.3.1/jasmine.js Diff File
add - third_party/devbridge-autocomplete/spec/lib/jasmine-2.0.1/boot.js Diff File
add - third_party/devbridge-autocomplete/spec/lib/jasmine-2.0.1/console.js Diff File
add - third_party/devbridge-autocomplete/spec/lib/jasmine-2.0.1/jasmine-html.js Diff File
add - third_party/devbridge-autocomplete/spec/lib/jasmine-2.0.1/jasmine.css Diff File
add - third_party/devbridge-autocomplete/spec/lib/jasmine-2.0.1/jasmine.js Diff File
add - third_party/devbridge-autocomplete/spec/lib/jasmine-2.0.1/jasmine_favicon.png Diff File
add - third_party/devbridge-autocomplete/spec/runner.html Diff File
add - third_party/devbridge-autocomplete/src/jquery.autocomplete.js Diff File
add - third_party/devbridge-autocomplete/typings/jquery-autocomplete/jquery.autocomplete-tests.ts Diff File
add - third_party/devbridge-autocomplete/typings/jquery-autocomplete/jquery.autocomplete.d.ts Diff File
add - third_party/devbridge-autocomplete/typings/jquery/jquery.d.ts Diff File

Issue History

Date Modified Username Field Change
2016-11-16 19:10 DenisChenu New Issue
2016-11-16 19:16 DenisChenu Additional Information Updated View Revisions
2016-11-17 00:14 DenisChenu Changeset attached => LimeSurvey develop cd8244b7
2016-11-17 01:06 DenisChenu Changeset attached => LimeSurvey develop 3998d61c
2016-11-19 11:31 DenisChenu Note Added: 42074
2016-11-19 11:31 DenisChenu Summary Trye removing jquery-ui => Try removing jquery-ui
2016-11-19 11:35 DenisChenu Description Updated View Revisions
2016-11-19 11:35 DenisChenu Additional Information Updated View Revisions
2016-11-24 00:17 DenisChenu Target Version => 3.x
2016-11-24 00:17 DenisChenu Summary Try removing jquery-ui => Removing jquery-ui (Admin part)
2016-11-24 11:05 DenisChenu Summary Removing jquery-ui (Admin part) => Removing jquery-ui (PUBLIC part)
2016-11-24 11:05 DenisChenu Assigned To => DenisChenu
2016-11-24 11:05 DenisChenu Status new => assigned
2016-11-24 15:39 DenisChenu Note Added: 42233
2016-11-24 16:30 DenisChenu Note Edited: 42233 View Revisions
2016-11-24 19:48 DenisChenu Note Added: 42234
2016-11-25 16:59 DenisChenu Changeset attached => LimeSurvey develop 75e85d34
2016-11-25 17:26 DenisChenu Status assigned => resolved
2016-11-25 17:26 DenisChenu Resolution open => fixed
2016-11-25 17:26 DenisChenu Fixed in Version => 3.x
2016-11-25 17:26 DenisChenu Note Added: 42240
2016-11-25 17:27 DenisChenu Changeset attached => LimeSurvey develop 36f3878d
2016-11-25 17:28 DenisChenu Changeset attached => LimeSurvey develop e8060d3b
2018-02-16 15:53 c_schmitz Status resolved => closed